%define testname rpm-ext

Name: repocop-collector-%testname
Version: 0.04
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: repocop postcollector for extended rpm database.
Group: Development/Other
License: GPL or Artistic
#Url: 
Requires: repocop >= 0.19
Requires: sqlite3


%description
Repocop postcollector creates rpm-ext database
with the following tables:
* explicit package conflicts table.

%prep

%build
cat > %testname.posttest <<'EOF'
#!/bin/sh
#--select rpm_files.pkgid, group_concat(FILENAME), group_concat(altlinux_alternatives.pkgid) from altlinux_alternatives, rpm_files WHERE ALTALTERNATIVE=FILENAME GROUP BY rpm_files.pkgid;
rm -f "$REPOCOP_TEST_DBDIR/rpm-ext.db"
sqlite3 "$REPOCOP_TEST_DBDIR/rpm-ext.db" <<EOSQL
attach database '$REPOCOP_TEST_DBDIR/rpm.db' as rpm;
CREATE TABLE EXPLICIT_CONFLICT (CONFLICTER TEXT, CONFLICTEE TEXT);
-- asymmetric
insert INTO EXPLICIT_CONFLICT select distinct a.pkgid, b.pkgid FROM rpm_conflicts as a, rpm_provides as b WHERE a.pkgid<>b.pkgid AND b.providename = a.conflictname;
CREATE INDEX EXPLICIT_CONFLICT_IDX_NAME ON EXPLICIT_CONFLICT(CONFLICTER);
-- 
CREATE TABLE EXPLICIT_OBSOLETE (OBSOLETER TEXT, OBSOLETEE TEXT);
-- asymmetric; note 
-- TODO: index left join is possible if RPM will have an index on NAME
insert INTO EXPLICIT_OBSOLETE select distinct a.pkgid, b.pkgid FROM rpm_obsoletes as a, rpm as b WHERE a.pkgid<>b.pkgid AND b.name = a.obsoletename;
CREATE INDEX EXPLICIT_OBSOLETE_IDX_NAME ON EXPLICIT_OBSOLETE(OBSOLETER);
EOSQL
EOF

%install

mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgcollectors/%testname/
%__install -m 755 %testname.posttest $RPM_BUILD_ROOT%_datadir/repocop/pkgcollectors/%testname/posttest

%files
#doc README ChangeLog
%_datadir/repocop/pkgcollectors/%testname

%changelog
* Wed Sep 30 2009 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- posttests migration

* Thu Jan 22 2009 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- SQL bugfixes

* Thu Jan 22 2009 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- added EXPLICIT_OBSOLETE table

* Tue Dec 16 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- First build for Sisyphus.
